
package cn.orionsec.ops.handler.http;

import cn.orionsec.ops.constant.monitor.MonitorConst;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MachineMonitorHttpApiRequester implements HttpApiRequester<MachineMonitorHttpApi> {

    private static final String TAG = "machine-monitor";

    private String url;

    private MachineMonitorHttpApi api;

    private String accessToken;

    @Override
    public HttpApiRequest getRequest() {
        HttpApiRequest request = new HttpApiRequest(url, api);
        request.tag(TAG);
        request.header(MonitorConst.DEFAULT_ACCESS_HEADER, accessToken);
        return request;
    }

}
